Subject: bug#71567: python tkinter library not found in guix shell

From: [email-masked]
Date: Sat, 15 Jun 2024 12:22:32 +0200 (CEST)

Hello,

I want to use guix shell for development environment with python, and more precisely, I want to usethe  tkinter library in python. 

According to https://issues.guix.gnu.org/20889 I believed that tkinter should be automatically included into python but when I launch 

guix shell -CN  python tk tcl -- python3 -m tkinter

I get

Traceback (most recent call last):
  File "/gnu/store/1w5v338qk5m8khcazwclprs3znqp6f7f-python-3.10.7/lib/python3.10/runpy.py", line 187, in _run_module_as_main
    mod_name, mod_spec, code = _get_module_details(mod_name, _Error)
  File "/gnu/store/1w5v338qk5m8khcazwclprs3znqp6f7f-python-3.10.7/lib/python3.10/runpy.py", line 146, in _get_module_details
    return _get_module_details(pkg_main_name, error)
  File "/gnu/store/1w5v338qk5m8khcazwclprs3znqp6f7f-python-3.10.7/lib/python3.10/runpy.py", line 110, in _get_module_details
    __import__(pkg_name)
  File "/gnu/store/1w5v338qk5m8khcazwclprs3znqp6f7f-python-3.10.7/lib/python3.10/tkinter/__init__.py", line 37, in <module>
    import _tkinter # If this fails your Python may not be configured for Tk
ModuleNotFoundError: No module named '_tkinter'

whereas, python3 -m tkinter works perfectly well on the host OS (which is a foreign os, not guix-SD). I did a guix pull pretty recently, guix is up to date.

Is this a bug or is there a specific way to install python so that we get tkinter at the same time ? 

Thanks.